Debian Bug report logs - #472893
blackbox: bashism in /bin/sh script

version graph

Package: blackbox; Maintainer for blackbox is Debian QA Group <packages@qa.debian.org>; Source for blackbox is src:blackbox.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Thu, 27 Mar 2008 02:21:01 UTC

Severity: important

Tags: patch

Found in version blackbox/0.70.1-2

Fixed in version blackbox/0.70.1-2.2

Done: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to bruno@debian.org (Bruno Barrera C.):
Bug#472893; Package blackbox. Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: blackbox: bashism in /bin/sh script
Date: Wed, 26 Mar 2008 20:18:35 -0600
Package: blackbox
Severity: important
Version: 0.70.1-2
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package) 
check I've found your package containing a /bin/sh script making 
use of a bashism.

checkbashisms' output:
> possible bashism in ./usr/bin/bsetbg line 75 (echo -e):
>         [ "$*" ] && echo -e $*
> possible bashism in ./usr/bin/bsetbg line 151 (echo -e):
>         echo -e "# created by $me $version on $(date)\n#"
> possible bashism in ./usr/bin/bsetbg line 152 (echo -e):
>         echo -e "# seting NO_EXEC to a boolean value (eg true/false) will
> cause $me" possible bashism in ./usr/bin/bsetbg line 153 (echo -e):
>         echo -e "# to never modify the root window\n#"
> possible bashism in ./usr/bin/bsetbg line 154 (echo -e):
>         echo -e "#NO_EXEC=\n#"
> possible bashism in ./usr/bin/bsetbg line 155 (echo -e):
>         echo -e "# POST_COMMAND can be set to a command that will be run
> run every time" possible bashism in ./usr/bin/bsetbg line 156 (echo -e):
>         echo -e "# $me sets the root image\n#"
> possible bashism in ./usr/bin/bsetbg line 157 (echo -e):
>         echo -e "#POST_COMMAND=\n#"
> possible bashism in ./usr/bin/bsetbg line 158 (echo -e):
>         echo -e "# if LOG_LAST_CMD is set (boolean), bsetbg will keep a log
> of the last" possible bashism in ./usr/bin/bsetbg line 159 (echo -e):
>         echo -e "# two successful commands.\n#"
> possible bashism in ./usr/bin/bsetbg line 160 (echo -e):
>         echo -e "#LOG_LAST_CMD=\n#"
> possible bashism in ./usr/bin/bsetbg line 161 (echo -e):
>         echo -e "# the LOGFILE specifies the file that bsetbg uses when
> LOG_LAST_CMD" possible bashism in ./usr/bin/bsetbg line 162 (echo -e):
>         echo -e "# is defined. this defaults to ~/.bsetbg_last_cmd .\n#"
> possible bashism in ./usr/bin/bsetbg line 163 (echo -e):
>         echo -e "#LOGFILE=\n#"
> possible bashism in ./usr/bin/bsetbg line 164 (echo -e):
>         echo -e "# the following are default configuration values for the
> most popular image" possible bashism in ./usr/bin/bsetbg line 165 (echo
> -e):
>         echo -e "# programs. See the man page of the respective application
> for more info.\n" possible bashism in ./usr/bin/bsetbg line 183 (echo -e):
>                                 eval echo -e DEFAULT=$q\$$a\_default_cmd$q
> \\\\n && possible bashism in ./usr/bin/bsetbg line 197 (echo -e):
>                                 eval echo -e
> \\#DEFAULT=$q\$$a\_default_cmd$q \\\\n possible bashism in ./usr/bin/bsetbg
> line 351 (echo -e):
>         echo -e "$prev_cmd\n$*" >$last_cmd_file

Not using bash (or a Debian Policy conformant shell interpreter which doesn't 
provide such an extra feature) as /bin/sh is likely to lead to errors or 
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there's a 
release goal for Lenny to make dash the default /bin/sh[1].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information please refer to the Debian Policy section 10.4 supporting 
this argument at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Information forwarded to debian-bugs-dist@lists.debian.org, bruno@debian.org (Bruno Barrera C.):
Bug#472893; Package blackbox. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
Extra info received and forwarded to list. Copy sent to bruno@debian.org (Bruno Barrera C.). Full text and rfc822 format available.

Message #8 received at 472893@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 472893@bugs.debian.org
Cc: sgran@debian.org
Subject: blackbox: diff for NMU version 0.70.1-2.2
Date: Sun, 6 Apr 2008 13:08:23 +0100
[Message part 1 (text/plain, inline)]
tags 472893 + patch
thanks

Hi,

Attached is a proposed diff for a blackbox 0.70.1-2.2 NMU, from the
Cambridge bug-squashing party.

(Steve: want to sponsor this?)

Regards,
    Simon
[blackbox-0.70.1-2.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@ianadd.pseudorandom.co.uk> to control@bugs.debian.org. (Sun, 06 Apr 2008 12:14:41 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 472893-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 472893-close@bugs.debian.org
Subject: Bug#472893: fixed in blackbox 0.70.1-2.2
Date: Sun, 06 Apr 2008 12:47:06 +0000
Source: blackbox
Source-Version: 0.70.1-2.2

We believe that the bug you reported is fixed in the latest version of
blackbox, which is due to be installed in the Debian FTP archive:

blackbox_0.70.1-2.2.diff.gz
  to pool/main/b/blackbox/blackbox_0.70.1-2.2.diff.gz
blackbox_0.70.1-2.2.dsc
  to pool/main/b/blackbox/blackbox_0.70.1-2.2.dsc
blackbox_0.70.1-2.2_i386.deb
  to pool/main/b/blackbox/blackbox_0.70.1-2.2_i386.deb
libbt-dev_0.70.1-2.2_i386.deb
  to pool/main/b/blackbox/libbt-dev_0.70.1-2.2_i386.deb
libbt_0.70.1-2.2_i386.deb
  to pool/main/b/blackbox/libbt_0.70.1-2.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 472893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@ianadd.pseudorandom.co.uk> (supplier of updated blackbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 11:53:06 +0000
Source: blackbox
Binary: blackbox libbt-dev libbt
Architecture: source i386
Version: 0.70.1-2.2
Distribution: unstable
Urgency: low
Maintainer: Bruno Barrera C. <bruno@debian.org>
Changed-By: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
Description: 
 blackbox   - Window manager for X
 libbt      - Blackbox - shared library
 libbt-dev  - Blackbox - development library
Closes: 472893
Changes: 
 blackbox (0.70.1-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * bsetbg uses bash features for at least bsetbg -generate, so make it run
     under /bin/bash rather than /bin/sh (Closes: #472893)
   * Remove doc/??_??/Makefile during clean (make distclean seems to omit them)
     so they're not included in the Debian diff
   * Build verified to work with gcc-4.3 as gcc and dash as sh
Files: 
 02cfe11e49309e951ebf89f0c638b62a 684 x11 optional blackbox_0.70.1-2.2.dsc
 9861cd4385c3331ef599235048a60839 138693 x11 optional blackbox_0.70.1-2.2.diff.gz
 71f9b586acf56da6c97ccbdaf2fdfda1 250402 x11 optional blackbox_0.70.1-2.2_i386.deb
 3ac73ab6e96d0d58141d4d708f665092 136886 libdevel optional libbt-dev_0.70.1-2.2_i386.deb
 0cc175ff17dfbb61e4722a92326c9da2 109216 libs optional libbt_0.70.1-2.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+MR1SYIMHOpZA44RAtTtAKCK8xQJbUzL/nqCtj84akG2sMMCiACg3oTn
hZbZhtn3+IEGxdY4FnzxFEQ=
=EvVW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 08:09:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:43:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.